Skip to content
Baremetrics

Show Metric

GET https://api.baremetrics.com/v1/metrics/{metric}

Path parameters

  • metric string required

    You can see a list of available metrics here

    Default ""

Query parameters

  • start_date string · date required

    Default "2016-11-01"

  • end_date string · date required

    Default "2016-11-26"

  • compare_to integer · int32

    The number of days ago to compare results to

    Default 30

Responses

200OK
{
  "metrics": [
    {
      "date": 1480118400,
      "human_date": "2016-11-26",
      "value": 6024087,
      "notes": null,
      "previous": {
        "date": 1477526400,
        "human_date": "2016-10-27",
        "value": 5941979,
        "percent": 1.4,
        "notes": null
      }
    },
    {
      "date": 1480204800,
      "human_date": "2016-11-27",
      "value": 5991743,
      "notes": null,
      "previous": {
        "date": 1477612800,
        "human_date": "2016-10-28",
        "value": 5932562,
        "percent": 1,
        "notes": null
      }
    },
    {
      "date": 1480291200,
      "human_date": "2016-11-28",
      "value": 6050735,
      "notes": null,
      "previous": {
        "date": 1477699200,
        "human_date": "2016-10-29",
        "value": 5940529,
        "percent": 1.9,
        "notes": null
      }
    },
    {
      "date": 1480377600,
      "human_date": "2016-11-29",
      "value": 6076135,
      "notes": null,
      "previous": {
        "date": 1477785600,
        "human_date": "2016-10-30",
        "value": 5935279,
        "percent": 2.4,
        "notes": null
      }
    }
  ]
}
400Bad Request
{}